# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/input/touchscreen/ilitek,ili210x.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Ilitek ILI21xx/ILI251x V3/V6 touch screen controller with i2c interface

maintainers:
  - Frank Li <Frank.Li@nxp.com>
  - Marek Vasut <marek.vasut+renesas@mailbox.org>

properties:
  compatible:
    enum:
      - ilitek,ili210x
      - ilitek,ili2117
      - ilitek,ili2120
      - ilitek,ili251x

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  reset-gpios:
    maxItems: 1

  wakeup-source: true

required:
  - compatible
  - reg

allOf:
  - $ref: touchscreen.yaml

unevaluatedProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        touchscreen@41 {
            compatible = "ilitek,ili2120";
            reg = <0x41>;
        };
    };
